from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ScanError(IntEnum):
    ScanErrorNone = auto()
    ScannerNotAvailable = auto()
    ScanFailed = auto()
    ScanInProgress = auto()
    ScanCanceled = auto()
    InvalidContext = auto()
